GDCM: gdcm::DictEntry Class Reference

GDCM 3.0.25

Public Member Functions | Friends | List of all members
gdcm::DictEntry Class Reference

Class to represent an Entry in the Dict. More...

`#include <gdcmDictEntry.h>`

## Public Member Functions
| DictEntry (const char *name="", const char *keyword="", VR const &vr=VR::INVALID, VM const &vm=VM::VM0, bool ret=false)
const char * | GetKeyword () const
| same as GetName but without spaces...
const char * | GetName () const
| Set/Get Name.
bool | GetRetired () const
| Set/Get Retired flag.
const VM & | GetVM () const
| Set/Get VM.
const VR & | GetVR () const
| Set/Get VR.
bool | IsUnique () const
void | SetElementXX (bool v)
| Set whether element is shared in multiple elements (Source Image IDs typically)
void | SetGroupXX (bool v)
| Set whether element is shared in multiple groups (Curve/Overlay typically)
void | SetKeyword (const char *keyword)
void | SetName (const char *name)
void | SetRetired (bool retired)
void | SetVM (VM const &vm)
void | SetVR (const VR &vr)

## Friends
class | Dict
std::ostream & | operator<< (std::ostream &_os, const DictEntry &_val)

## Detailed Description

Class to represent an Entry in the Dict.

Does not really exist within the DICOM definition, just a way to minimize storage and have a mapping from gdcm::Tag to the needed information

Note
  bla TODO FIXME: Need a PublicDictEntry...indeed DictEntry has a notion of retired which does not exist in PrivateDictEntry...

See also
  gdcm::Dict

Examples
  GenAllVR.cxx, GenFakeIdentifyFile.cxx, PublicDict.cxx, and TraverseModules.cxx.

## Constructor & Destructor Documentation

## ◆ DictEntry()

gdcm::DictEntry::DictEntry | ( | const char * | name = "",
|  | const char * | keyword = "",
|  | VR const & | vr = VR::INVALID,
|  | VM const & | vm = VM::VM0,
|  | bool | ret = false )
| inline

References gdcm::VR::INVALID, and gdcm::VM::VM0.

Referenced by operator<<.

## Member Function Documentation

## ◆ GetKeyword()

const char * gdcm::DictEntry::GetKeyword | ( |  | ) | const
| inline

same as GetName but without spaces...

## ◆ GetName()

const char * gdcm::DictEntry::GetName | ( |  | ) | const
| inline

Set/Get Name.

Referenced by gdcm::PrivateDict::PrintXML().

## ◆ GetRetired()

bool gdcm::DictEntry::GetRetired | ( |  | ) | const
| inline

Set/Get Retired flag.

Examples
  GenAllVR.cxx.

## ◆ GetVM()

const VM & gdcm::DictEntry::GetVM | ( |  | ) | const
| inline

Set/Get VM.

Referenced by gdcm::PrivateDict::AddDictEntry(), and gdcm::PrivateDict::PrintXML().

## ◆ GetVR()

const VR & gdcm::DictEntry::GetVR | ( |  | ) | const
| inline

Set/Get VR.

Examples
  GenAllVR.cxx, and GenFakeIdentifyFile.cxx.

Referenced by gdcm::PrivateDict::AddDictEntry(), and gdcm::PrivateDict::PrintXML().

## ◆ IsUnique()

bool gdcm::DictEntry::IsUnique | ( |  | ) | const
| inline

Return whether the name of the DataElement can be considered to be unique. As of 2008 all elements name were unique (except the expclitely 'XX' ones)

## ◆ SetElementXX()

void gdcm::DictEntry::SetElementXX | ( | bool | v | ) |
| inline

Set whether element is shared in multiple elements (Source Image IDs typically)

## ◆ SetGroupXX()

void gdcm::DictEntry::SetGroupXX | ( | bool | v | ) |
| inline

Set whether element is shared in multiple groups (Curve/Overlay typically)

## ◆ SetKeyword()

void gdcm::DictEntry::SetKeyword | ( | const char * | keyword | ) |
| inline

## ◆ SetName()

void gdcm::DictEntry::SetName | ( | const char * | name | ) |
| inline

## ◆ SetRetired()

void gdcm::DictEntry::SetRetired | ( | bool | retired | ) |
| inline

## ◆ SetVM()

void gdcm::DictEntry::SetVM | ( | VM const & | vm | ) |
| inline

Referenced by gdcm::PrivateDict::AddDictEntry().

## ◆ SetVR()

void gdcm::DictEntry::SetVR | ( | const VR & | vr | ) |
| inline

Referenced by gdcm::PrivateDict::AddDictEntry().

## Friends And Related Symbol Documentation

## ◆ Dict

friend class Dict
| friend

References Dict.

Referenced by Dict.

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const DictEntry & | _val )
| friend

References DictEntry().

The documentation for this class was generated from the following file:

- gdcmDictEntry.h